Update buildroot

Update buildroot (branch cesnet/2023-06-12). This also contains a patch
to fix libcurl build[1] which I had on my local dev machine.

New buildroot also builds systemd 252.4 so necessary patch update added.

Also added perl-English package to our CI machines to silence the
following build error:

  2023-06-12 12:42:55.964693 | w | Your Perl installation is not complete enough; at least the following
  2023-06-12 12:42:55.964825 | w | modules are missing:
  2023-06-12 12:42:55.964844 | w |
  2023-06-12 12:42:55.964856 | w | 	 English
  2023-06-12 12:42:55.964866 | w |

Systemd 252 added naming scheme for net links with devicetree
aliases[2]. This renames our eth{0,1} to end{1,2} which is undesirable
because the boxes physical ports are labelled eth{0,1,2}. Oh and I forgot:
The network does not start after the boot because we expect the names
to be eth{0,1}. So let's make sure our names stay eth{0,1,2}.

[1] https://bugs.buildroot.org/show_bug.cgi?id=15181
[2] https://www.freedesktop.org/software/systemd/man/systemd.net-naming-scheme.html

Change-Id: I6a59388216fde516b58b080f8aafdfb5136981d2
diff --git a/board/czechlight/clearfog/overlay/usr/lib/systemd/system-generators/eth-links b/board/czechlight/clearfog/overlay/usr/lib/systemd/system-generators/eth-links
new file mode 100755
index 0000000..a6f45ae
--- /dev/null
+++ b/board/czechlight/clearfog/overlay/usr/lib/systemd/system-generators/eth-links
@@ -0,0 +1,58 @@
+#!/bin/sh
+
+set -e
+
+mkdir -p /run/systemd/network
+
+# custom names for ethernet ports (bypassing systemd's predictive naming)
+cat > /run/systemd/network/30-eth0.link <<EOF
+[Match]
+Path=platform-f1070000.ethernet
+[Link]
+Name=eth0
+EOF
+
+cat > /run/systemd/network/30-eth1.link <<EOF
+[Match]
+Path=platform-f1030000.ethernet
+[Link]
+Name=eth1
+EOF
+
+# custom names for OSC channels
+if grep -q '\<czechlight=sdn-roadm-line.*\>' /proc/cmdline; then
+	ETH2_NAME=osc
+elif grep -q '\<czechlight=sdn-inline.*\>' /proc/cmdline; then
+	ETH2_NAME=oscW
+	ETH3_NAME=oscE
+	ETH4_NAME=sfp3
+else
+	ETH2_NAME=eth2
+fi
+
+if [[ -n "${ETH2_NAME+set}" ]] ; then
+	cat > /run/systemd/network/30-eth2.link <<EOF
+[Match]
+Path=platform-f1034000.ethernet
+[Link]
+Name=${ETH2_NAME}
+EOF
+fi
+
+if [[ -n "${ETH3_NAME+set}" ]]; then
+	cat > /run/systemd/network/30-eth3.link <<EOF
+[Match]
+Path=platform-soc:pcie-pci-0000:01:00.0
+[Link]
+Name=${ETH3_NAME}
+EOF
+fi
+
+if [[ -n "${ETH4_NAME+set}" ]]; then
+	cat > /run/systemd/network/30-eth4.link <<EOF
+[Match]
+Path=platform-soc:pcie-pci-0000:01:00.1
+[Link]
+Name=${ETH4_NAME}
+EOF
+fi